<?php
/*
Plugin Name: Woo AutoOrder Complete (EasyToolsWP)
Description: Automatically sets all WooCommerce orders to complete upon checkout, bypassing the processing status.
Version: 1.0
Author: EasyToolsWP.com
Author URI: https://www.easytoolswp.com
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

add_action('woocommerce_checkout_order_processed', 'custom_woocommerce_auto_complete_order', 10, 1);
function custom_woocommerce_auto_complete_order($order_id) {
    if (!$order_id) {
        return;
    }

    $order = wc_get_order($order_id);

    // Check if order is in 'pending' status
    if ($order->get_status() == 'pending') {
        $order->update_status('completed');
    }
}
